gtk.CellRendererSpin
Prev | The gtk Class Reference | Next

## gtk.CellRendererSpin

gtk.CellRendererSpin — an object that renders a spin button in a cell (new in PyGTK 2.10)

## Synopsis

    class gtk.CellRendererSpin(gtk.CellRendererText):
        gtk.CellRendererSpin()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.CellRendererText
            +-- gtk.CellRendererSpin

## gtk.CellRendererSpin Properties

gtk.Object Properties

gtk.CellRenderer Properties

gtk.CellRendererText Properties

"adjustment" | Read-Write | The `gtk.Adjustment` that holds the value of the spinbutton. This must be non-None for the cell renderer to be editable. Default value: None. Available in GTK+ 2.10 and above.
"climb-rate" | Read-Write | The acceleration rate when you hold down a button. Range: [0.0,MAXDOUBLE]. Default value: 0.0. Available in GTK+ 2.10 and above.
"digits" | Read-Write | The number of decimal places to display. Range: [0,20]. Default value: 0. Available in GTK+ 2.10 and above.

## gtk.CellRendererSpin Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.CellRenderer Signal Prototypes

gtk.CellRendererText Signal Prototypes

## Description

`gtk.CellRendererSpin` renders text in a cell like `gtk.CellRendererText` from which it is derived. But while `gtk.CellRendererText` offers a simple entry to edit the text, `gtk.CellRendererSpin` offers a `gtk.SpinButton` widget. Of course, that means that the text has to be parseable as a floating point number.

The range of the spinbutton is taken from the "adjustment" property of the cell renderer, which can be set explicitly or mapped to a column in the tree model. Like all properties of cellrenderers. `gtk.CellRendererSpin` also has properties for the "climb-rate" and the number of "digits" to display. Other `gtk.SpinButton` properties can be set in a handler for the "gtk.CellRenderer.editing-started" signal.

## Constructor

### gtk.CellRendererSpin

        gtk.CellRendererSpin()

Returns : | a new `gtk.CellRendererSpin`

### Note

This constructor is available in PyGTK 2.10 and above.

Creates a new `gtk.CellRendererSpin`.

Prev | Up | Next
gtk.CellRendererProgress | Home | gtk.CellRendererSpinner